//
//  MessageJsonHttpPostCmd.m
//  MobilePortal
//
//  Created by caiyang on 2021/11/9.
//  Copyright © 2021 yin chen. All rights reserved.
//

#import "MessageJsonHttpPostCmd.h"
#import "MessageJsonHttpResult.h"

static NSString *kActionUrl1 = @"/appEir/saveReceivedJpushInfo";


@implementation MessageJsonHttpPostCmd

-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[MessageJsonHttpPostCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[MessageJsonHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}

@end
 NSString *const kHttpMessageJsonHttpPostCmd_empid = @"empid";
 NSString *const kHttpMessageJsonHttpPostCmd_equipmentId = @"equipmentId";
 NSString *const kHttpMessageJsonHttpPostCmd_jpushInfo = @"jpushInfo";
